Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 10/05/2019, à 09:13

homaley24

Re : [Resolu] installation des PPA

je suis en Dordogne (Bergerac)
Box Free revolution
fibre oui
et oui WPA2-AES

Hors ligne

#27 Le 10/05/2019, à 10:26

nam1962

Re : [Resolu] installation des PPA

Donc tout est ok et tu as bien les dépots France ce qui est le mieux dans ton cas.

Pense juste à de temps en temps redémarrer ta box (ça vérifie que la dernière mise à jour est bien déployée et ça vide la RAM)
et une fois par mois à passer un :

sudo apt autoremove --purge

Je pense que tu peux mettre [Résolu] dans le titre de ton premier post.
Tu as gagné une install plus propre au passage wink


[ Modéré ]

Hors ligne

#28 Le 10/05/2019, à 20:26

homaley24

Re : [Resolu] installation des PPA

super merci pour tout, juste une question comment vérifier que mes dépots sont français ?

Hors ligne

#29 Le 10/05/2019, à 20:56

nam1962

Re : [Resolu] installation des PPA

fred@fred-PX60-6QE:~$ sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu disco InRelease
Atteint :2 http://ppa.launchpad.net/nextcloud-devs/client/ubuntu disco InRelease
Atteint :3 http://fr.archive.ubuntu.com/ubuntu disco-updates InRelease         
Atteint :4 http://fr.archive.ubuntu.com/ubuntu disco-backports InRelease       
Atteint :5 http://archive.canonical.com/ubuntu disco InRelease     

Le fr indique que tu attaques le pool de serveurs France, c'est ce qu'il faut (et surtout pas un serveur spécifique pseudo optimisé..)


[ Modéré ]

Hors ligne

#30 Le 10/05/2019, à 22:11

lool_lauris

Re : [Resolu] installation des PPA

Tu peux choisir le serveur via les paramètres système :

2019-05-10-22-10-19-200424-serveurs-maj-ubuntu.png


Soutenez le Libre => http://www.april.org/

Hors ligne

#31 Le 10/05/2019, à 22:32

metalux

Re : [Resolu] installation des PPA

Euh....j'ai beau lire je ne vois pas en quoi c'est résolu cette histoire de délai? Je suis fatigué, aussi suis-je peut-être passé à côté du problème originel.
homaley24, lis ma réponse à Nam, ça t'apprendra un peu sur l'erreur que tu as fais (en dehors de ton problème de délai qui n'a rien à voir) car je crois que tu voulu télécharger launchpad-getkeys et il n'est pas dans le P.P.A. de Disco. Pour t'en rendre compte va sur cette page:
https://launchpad.net/%7Enilarimogard/+ … lter=disco
Après ce n'est qu'un script bash, tu peux le récupérer en Deb en cliquant sur "view details" si c'est vraiment ce que tu veux, il devrait sans doute fonctionner sur Disco.

@nam

nam1962 a écrit :

Je serai par ailleurs ravi d'être rassuré par l'explication sur l'apport et l’innocuité de chacun des 625 paquets de nilarimogard par homaley24, metalux et Coeur Noir

Tu donne la réponse: nam1962 a dit:Quand on installe un truc, on sait et contrôle ce qu'on installe, évidemment !
Quand j'installe un paquet en provenance de P.P.A., je regarde les dépendances qui l'accompagnent et visiblement dans les paquets que j'ai installé  venant de nilarimogard, aucune librairie de ces paquets ne venait du P.P.A. mais des dépôts officiels. Pour le paquet launchpad-getkeys par exemple, il s'agit simplement d'un script bash sans aucune dépendance. Après je pourrais simplement utiliser le script tu me diras, je fais confiance à la version du P.P.A. l'utilisant depuis des années et je peux aller le vérifier si vraiment je le souhaite.
Je ne peux pas te dire si c'est le cas pour les 625 paquets, je ne vais quand même pas tous les tester! tongue Cependant pour Disco, je veux bien il n'y a que 1 paquet, ce n'est pas 625! Mais je suis toujours en 16.04, tant pis, ce sera sans moi.
D'ailleurs je crois que homaley24 a justement fais l'erreur de croire que l'installation du P.P.A. lui aurait permis d'installer launchpad-getkeys en lisant la documentation qui le propose, ce qui évidemment ne fonctionnera pas avec Disco.
Ce que je te signalais, ne le prends pas mal, c'est que j'ai vu à plusieurs reprises sur ce forum que tu proposais de virer les P.P.A., tu as justifié pourquoi précédemment ce qui peut s'avérer exact dans certains cas, mais parfois la réponse se trouve bien ailleurs et ça se voit dès le début du post. Alors pourquoi laisser croire que ça vient de l'installation de P.P.A. alors que ça n'a rien à voir? Que tu le conseilles aux débutants lors de la discussion, pour les avertir du risque, oui, mais que tu laisses croire que le problème vient de là alors que c'est tout autre chose, NON. Désolé pour le coup de gueule mais c'est arrivé que je n'intervenait pas à cause de la tournure que prenait la discussion qui était complètement hors-sujet en se focalisant sur les P.P.A.

Ce qu'il faut retenir de cette aparté:

Coeur Noir a écrit :

Si à la base on ne sait rien d'APT, ce qu'est un paquet .deb, le concept de dépendances ( voir remarque à Nam plus haut ), comment est « construite » une distribution telle qu'Ubuntu, je suis d'accord qu'il ne faut pas se jeter sur les ppa : sans un minimum de culture « ubuntuesque » ça fait courir des risques. D'accord.

Mais ça reste le souci ou le problème de l'utilisateur, car le système « ppa » est fondamentalement une source « externe » de logiciels, à dessein volatile et fluide.
Si un ppa, un logiciel en flatpak en snap ou en appimage ne vous inspire pas confiance, ne l'utilisez pas. Point. Si vous n'avez aucune ou peu d'idées de qui « fait » un logiciel, ne l'installez pas. Point.

GammaDraconis a écrit :

Mais ça sert à rien dans le cas de "Disco" alias Ubuntu 19.04 vu que tu es sur la dernière version donc avec des versions récentes !

Sauf pour des paquets non présents mais ça doit se faire de plus en plus rare. D'ailleurs pour nilarimogard, je l'installais dans le passé entre autre pour yad qui a fini par rejoindre les dépôts officiels, donc les dépôts officiels finissent aussi par devenir toxiques nam? roll

Tout est à prendre dans le post de krodelabestiole sauf la fin en ce qui me concerne. Perso j'ai un dual Ubuntu/Manjaro mais non, je préfères toujours ma Ubuntu + P.P.A. occasionnels et que multiples mises à jour...et certainement parce que Ubuntu a été ma 1ère distro....
https://forum.ubuntu-fr.org/viewtopic.p … #p22094352

Désolé pour le pavé.....

Hors ligne

#32 Le 11/05/2019, à 08:04

nam1962

Re : [Resolu] installation des PPA

Alors :
- le sujet est résolu car l'installation d'un PPA inclus (même en CLI) un update et 12 à 17 secondes pour les réponses des serveurs (srtout si on a plein de PPA) n'a rien d'affolant.
- je nettoie au karscher dès que je vois des PPA toxiques ou en vrac (mauvaise version, obsolète...) parce que ça gagne du temps, déjà (je ne vais pas me frapper la lecture du contenu de 15 PPA) - parce que on est alors plus serein sur la cohérence de système et... comme on a la liste des PPA, on peut les réinstaller ensuite, si vraiment indispensables (plein de fils montrent que non en fait
- tu appliques la bonne procédure pour un PPA toxique de type nilarimachin, mais les demandeurs qui ont ça en stock ne l'appliquent jamais, donc se retrouvent avec une foultitude de paquets bidouillés.
- tu sais très bien que je ne dis pas que les logiciels embarqués dans nilaritruc sont toxique, mais bien leur version (bidouilles, numéro de version baroque qui bloque ensuite les mises à jour, etc... C'est exactement comme proposed !


[ Modéré ]

Hors ligne